Bug 239165 - Review Request: tcptraceroute - A traceroute implementation using TCP packets
Review Request: tcptraceroute - A traceroute implementation using TCP packets
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-05 09:48 EDT by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 01:59:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Specfile patch (1.33 KB, patch)
2007-06-22 16:16 EDT, Jose Pedro Oliveira
no flags Details | Diff

  None (edit)
Description Sindre Pedersen Bjørdal 2007-05-05 09:48:37 EDT
Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/tcptraceroute.spec
SRPM URL: <http://folk.ntnu.no/sindrb/packages/green_nyc/tcptraceroute-1.5-0.beta7.1.fc7.src.rpm

Description:
TCPtraceroute is a traceroute implementation using TCP packet
Comment 1 Jason Tibbitts 2007-06-09 20:10:54 EDT
This builds fine and rpmlint is quiet.

According to
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PreReleasePackages
release should be 0.1.beta7%{?dist}.

This is another package that links statically with libnet.  Not that it has any
choice, but this requires a trip through FESCo.  Either that or the libnet
maintainer needs to get whatever patches debian uses to build libnet dynamically.

Review:
* source files match upstream:
   aed5b163ed4886f04242b46005a6cb4876ef38ad72001a94facb62a99dc99c57  
   tcptraceroute-1.5beta7.tar.gz
X package doesn't meet versioning guidelines for prerelease packages.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   tcptraceroute = 1.5-0.beta7.1.fc8
  =
   libpcap.so.0.9()(64bit)
* %check is not present; no test suite upstream.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.  (Actually the 
  documentation is nearly twice as large as the lone executable, but the package 
  is only 142K.)
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 2 Sindre Pedersen Bjørdal 2007-06-10 07:38:20 EDT
Changed the release

http://folk.ntnu.no/sindrb/packages/green_nyc/tcptraceroute.spec
http://folk.ntnu.no/sindrb/packages/green_nyc/tcptraceroute-1.5-0.1.beta7.fc7.src.rpm

Will I have to do something about the libnet issue, if so, what?
Comment 3 Jason Tibbitts 2007-06-15 12:31:05 EDT
OK, the libnet maintainer has no interest in allowing libnet to be dynamic, so
there's nothing you can do.  It looks like everything will just sort itself with
a rebuild if libnet magically becomes dynamic in the future.  So I think we're
done here.

APPROVED
Comment 4 Sindre Pedersen Bjørdal 2007-06-18 17:50:44 EDT
New Package CVS Request
=======================
Package Name: tcptraceroute
Short Description: A traceroute implementation using TCP packets
Owners: foolish@guezz.net
Branches: FC-6 F-7 EL-4 EL-5
Comment 5 Kevin Fenzi 2007-06-19 00:40:17 EDT
cvs done. 
Note that the bugzilla sync process isn't yet caught up to the merge of core and
extras components, so it might not be until tomorrow for this to have a bugzilla
component. 
Comment 6 Jose Pedro Oliveira 2007-06-19 17:14:14 EDT
Sindre,

Some of the documentation files are being packaged twice (this package has two
different doc directories; it should only have doc files in the
/usr/share/doc/tcptraceroute-1.5  directory).

jpo

----------
$ rpm -qpl tcptraceroute-1.5-0.1.beta7.fc6.i386.rpm 
/usr/bin/tcptraceroute
/usr/share/doc/tcptraceroute
/usr/share/doc/tcptraceroute-1.5
/usr/share/doc/tcptraceroute-1.5/AUTHORS
/usr/share/doc/tcptraceroute-1.5/COPYING
/usr/share/doc/tcptraceroute-1.5/ChangeLog
/usr/share/doc/tcptraceroute-1.5/README
/usr/share/doc/tcptraceroute/AUTHORS
/usr/share/doc/tcptraceroute/COPYING
/usr/share/doc/tcptraceroute/ChangeLog
/usr/share/doc/tcptraceroute/NEWS
/usr/share/doc/tcptraceroute/README
/usr/share/doc/tcptraceroute/examples.txt
/usr/share/doc/tcptraceroute/tcptraceroute.1.html
/usr/share/doc/tcptraceroute/tcptraceroute.lsm
/usr/share/man/man1/tcptraceroute.1.gz
-------------
Comment 7 Sindre Pedersen Bjørdal 2007-06-20 12:05:58 EDT
Fixed the issue with the duplicate doc files.
Comment 8 Jose Pedro Oliveira 2007-06-22 16:16:57 EDT
Created attachment 157646 [details]
Specfile patch

Sindre,

The patch makes the following changes to the specfile:

  * re-introduces some of the documentation files
    ( tcptraceroute.1.html tcptraceroute.lsm examples.txt )

  * adds two perl scripts to the documentation files list
    ( tcptra-testsuite.pl traceroute.cgi )

    Note: the execution bit is cleared in the %setup section

  * removes several white spaces

jpo

Note You need to log in before you can comment on or make changes to this bug.